> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Settings API Endpoint

> This API endpoint allows a user to retrieve all their settings.



## OpenAPI

````yaml get /api/user/settings/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/user/settings/:
    get:
      tags:
        - api
      summary: Get User Settings API Endpoint
      description: This API endpoint allows a user to retrieve all their settings.
      operationId: get_user_settings
      responses:
        '200':
          description: Successfully retrieved the setting
          content:
            application/json:
              schema:
                title: Settings
                type: object
                properties:
                  plan:
                    title: Plan
                    type: object
                    properties:
                      subscription_start:
                        type: string
                      subscription_end:
                        type: string
                      subscription_visualizer:
                        type: string
                      subscription_credits:
                        type: integer
                      subscription_price:
                        type: number
                      can_upgrade:
                        type: boolean
                      can_downgrade:
                        type: boolean
                      can_add_credits:
                        type: boolean
                      expired:
                        type: boolean
                      remaining_time:
                        type: string
                      stripe_subscription_id:
                        type: string
                      disabled:
                        type: boolean
                    description: Plan OpenAPI Schema
                  credits:
                    type: array
                    items:
                      title: Credit
                      type: object
                      properties:
                        id:
                          type: integer
                        disabled:
                          type: boolean
                        value:
                          type: number
                        creation_date:
                          type: string
                          format: date
                        expiration_date:
                          type: string
                          format: date
                        expired:
                          type: boolean
                      description: Credit OpenAPI Schema
                  email_address:
                    type: string
                  secret_key:
                    type: string
                  azure_data:
                    type: object
                    properties:
                      api_key:
                        type: string
                      region:
                        type: string
                  elevenlabs_api_key:
                    type: string
                  discord_webhook:
                    type: string
                  last_added:
                    title: Credit
                    type: object
                    properties:
                      id:
                        type: integer
                      disabled:
                        type: boolean
                      value:
                        type: number
                      creation_date:
                        type: string
                        format: date
                      expiration_date:
                        type: string
                        format: date
                      expired:
                        type: boolean
                    description: Credit OpenAPI Schema
                description: Settings OpenAPI Schema
              example:
                plan:
                  subscription_start: '2021-01-01T00:00:00.000Z'
                  subscription_end: '2021-02-01T00:00:00.000Z'
                  subscription_visualizer: Default
                  subscription_credits: 0
                  subscription_price: 0
                  can_upgrade: false
                  can_downgrade: false
                  can_add_credits: false
                  expired: true
                  remaining_time: '-3yrs left'
                  stripe_subscription_id: sub_123
                  disabled: false
                credits:
                  - id: 1
                    disabled: false
                    value: 100
                    creation_date: '2021-01-01T00:00:00.000Z'
                    expiration_date: '2021-03-01T00:00:00.000Z'
                    expired: true
                email_address: test@email.com
                secret_key: testSecretKey
                azure_data:
                  api_key: ''
                  region: eastus
                elevenlabs_api_key: ''
                discord_webhook: https://discord.com/webhooks/ClipVision
                last_added:
                  id: 1
                  disabled: false
                  value: 100
                  creation_date: '2021-01-01T00:00:00.000Z'
                  expiration_date: '2021-03-01T00:00:00.000Z'
                  expired: true
        '400':
          description: Failed to retrieve user settings or validation errors
          content: {}
        '500':
          description: Failed to retrieve user settings
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````